%define glib2_version 2.9.1
%define gtk2_version 2.6.0
%define desktop_file_utils_version 0.9
%define gnome_doc_utils_version 0.3.2
%define libgnome_version 2.13.7
%define libgnomeui_version 2.13.2
%define libgnomeprintui_version 2.8.0
%define gnome_desktop_version 2.9.91
%define gnome_panel_version 2.9.4

Name:           gnome-utils
Version:        2.16.0
Release:        2%{?dist}
Epoch: 		1
Summary:        GNOME utility programs

Group:          Applications/System
License:        GPL
URL: 	http://www.gnome.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: 	logview-close-crash.patch

BuildRequires:  gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: 	glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnome-devel >= %{libgnome_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  libgnomeprintui22-devel >= %{libgnomeprintui_version}
BuildRequires:  gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  libXmu-devel 
BuildRequires:  libX11-devel 
BuildRequires:	libgtop2-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:  usermode
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser

Requires:	usermode

Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version} 
Requires(post): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(pre): GConf2 >= 2.14

Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version} 

# Requirements to make upgrading from older gnome-utils work
# can be dropped post-FC6
Requires:	gcalctool
Requires:	gucharmap
Requires:	zenity

# obsolete the standalone baobab package from Extras 
Obsoletes: baobab

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of small "desk accessory" utility applications for GNOME.

%package devel
Summary: Libraries and headers for gnome-utils libraries
Group: Development/Libraries
Requires:  glib2-devel >= %{glib2_version}
Requires:  gtk2-devel >= %{gtk2_version}
Requires:  gnome-utils = %{epoch}:%{version}-%{release}
Requires:  pkgconfig

%description devel
The gnome-utils-devel package contains header files and other resources
needed develop programs using the libraries contained in gnome-utils.


%prep
%setup -q
%patch0 -p1 -b .logview-close

# Hide from menus
pushd gsearchtool
echo "NoDisplay=true" >> gnome-search-tool.desktop.in
popd

pushd gfloppy
echo "NoDisplay=true" >> gfloppy.desktop.in
popd

pushd logview
cat <<EOF >gnome-system-log-pam
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF
popd

%build
%configure --disable-scrollkeeper --enable-console-helper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --copy-generic-name-to-name				    \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-baobab.desktop

%find_lang gnome-utils-2.0


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gconf/schemas/logview.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gconf/schemas/baobab.schemas \
		> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gconf/schemas/logview.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gconf/schemas/baobab.schemas \
		> /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gconf/schemas/logview.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gconf/schemas/baobab.schemas \
		> /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f gnome-utils-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/security/console.apps/gnome-system-log
%{_sysconfdir}/pam.d/gnome-system-log
%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas
%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas
%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas
%{_sysconfdir}/gconf/schemas/logview.schemas
%{_sysconfdir}/gconf/schemas/gfloppy.schemas
%{_sysconfdir}/gconf/schemas/baobab.schemas
%{_bindir}/gnome-dictionary
%{_bindir}/gnome-panel-screenshot
%{_bindir}/gnome-screenshot
%{_bindir}/gnome-search-tool
%{_bindir}/gnome-system-log
%{_bindir}/gfloppy
%{_bindir}/baobab
%{_sbindir}/gnome-system-log
%{_datadir}/applications/gnome-dictionary.desktop
%{_datadir}/applications/gnome-screenshot.desktop
%{_datadir}/applications/gnome-search-tool.desktop
%{_datadir}/applications/gnome-system-log.desktop
%{_datadir}/applications/gnome-gfloppy.desktop
%{_datadir}/applications/gnome-baobab.desktop
%{_datadir}/gdict-1.0/
%{_datadir}/gnome-dictionary/
%{_datadir}/gnome-screenshot/
%{_datadir}/gnome-system-log/
%{_datadir}/baobab/
%{_datadir}/gnome-utils/
%{_datadir}/gnome/help/gnome-dictionary/
%{_datadir}/gnome/help/gnome-search-tool/
%{_datadir}/gnome/help/gnome-system-log/
%{_datadir}/gnome/help/gfloppy/
%{_datadir}/gnome/help/baobab/
%{_datadir}/pixmaps/gsearchtool/thumbnail_frame.png
%{_datadir}/icons/hicolor/48x48/apps/baobab.png
%{_datadir}/icons/hicolor/48x48/apps/gnome-dictionary.png
%{_datadir}/icons/hicolor/scalable/apps/gnome-dictionary.svg
%{_libexecdir}/gnome-dictionary-applet
%{_datadir}/gnome-2.0/ui/GNOME_DictionaryApplet.xml
%{_libdir}/bonobo/servers/GNOME_DictionaryApplet.server
%{_libdir}/libgdict-1.0.so.*
%{_datadir}/gtk-doc/html/gdict/
%{_datadir}/man/man1/gnome-dictionary.1.gz
%{_datadir}/man/man1/gnome-search-tool.1.gz
%{_datadir}/man/man1/gnome-system-log.1.gz
%{_datadir}/man/man1/gfloppy.1.gz
%{_datadir}/man/man1/baobab.1.gz
%{_datadir}/omf/gnome-dictionary/
%{_datadir}/omf/gnome-search-tool/
%{_datadir}/omf/gnome-system-log/
%{_datadir}/omf/gfloppy/
%{_datadir}/omf/baobab/


%files devel
%{_libdir}/libgdict-1.0.so
%{_libdir}/pkgconfig/gdict-1.0.pc
%{_includedir}/gdict-1.0/


%changelog
* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-2
- Fix scripts according to the packaging guidelines

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Fri Aug 25 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.94-1.fc6
- Update to 2.15.94

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.93-1.fc6
- Update to 2.15.93
- Require pkgconfig in the devel package

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-1.fc6
- Update to 2.15.90

* Tue Jul 25 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-2
- Obsolete the baobab package from Extras (#191298)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-1.1
- rebuild

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> 2.15.3-1
- Update to 2.15.3

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> 2.15.0-3
- More missing BuildRequires
- Use --enable-console-helper 

* Sun May 21 2006 Matthias Clasen <mclasen@redhat.com> 2.15.0-2
- Add missing BuildRequires (#129097)

* Tue May  9 2006 Matthias Clasen <mclasen@redhat.com> 2.15.0-1
- Update to 2.15.0

* Wed Apr 19 2006 Jeremy Katz <katzj@redhat.com> - 1:2.14.0-10
- fix -devel requires on main package

* Wed Apr 19 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-9
- Fix some crashes in gdict (#189090)

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-8
- Re-add the epoch

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-7
- Bump rev

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-6
- Incorporate package review feedback
- Split off a -devel subpackage
 
* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-5
- Split off gucharmap, zenity, gcalctool

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-3
- Update to zenity 2.14.0

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-2
- Update to gcalctool 5.7.32

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-1
- Update to gnome-utils 2.14.0
- Update to gucharmap 1.6.0

* Sat Mar  4 2006 Matthias Clasen <mclasen@redhat.com> 2.13.95-1
- Update to gnome-utils-2.13.95

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 2.13.93-2
- BuildRequires:  gnome-doc-utils

* Sat Feb 25 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.93-1
- Update to gnome-utils-2.13.93
- Update to gucharmap 1.5.3

* Mon Feb 20 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-4
- Fix a crash in gnome-system-log when closing logs

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-3
- Fix %%post 

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-2
- Update to gucharmap 1.5.2
- Update to gcalctool 5.7.29

* Sun Feb 12 2006 Matthias Clasen <mclasen@redhat.com> 2.13.92-1
- Update to gnome-utils 2.13.92

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.91-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.91-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> 2.13.91-2
- Fix a gnome-system-log crash

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.13.91-1
- Update to gnome-utils 2.13.91
- Update to zenity 2.13.90
- Update to gucharmap 1.5.1
- Update to gcalctool 5.7.28

* Mon Jan 23 2006 Ray Strode <rstrode@redhat.com> 2.13.5-4
- Update to gcalctool 5.7.27

* Sun Jan 22 2006 Ray Strode <rstrode@redhat.com> 2.13.5-3
- Update to gcalctools 5.7.26
- fix subtract operator

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5-2
- gdict.schemas got renamed

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5
- Update to gnome-utils 2.13.5
- Update to zenity 2.13.5

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> 2.13.4
- Update to gnome-utils 2.13.4
- Update to gcalctool 5.7.18

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 2.13.3
- Update to gnome-utils 2.13.3
- Update to zenity 2.13.3
- Update to gucharmap 1.5.0
- Update to gcalctool 5.7.15
- Drop upstreamed patch

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com>
- rebuild for new dbus

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com>
- Update to gnome-utils 2.13.2, zenity 2.13.2 and
  gcalctool 5.7.11

* Tue Nov 22 2005 Matthias Clasen <mclasen@redhat.com>
- classify gnome-system-log as Monitor for better menus

* Thu Nov 3 2005 Ray Strode <rstrode@redhat.com> - 1:2.13.1-2
- remove unnecessary Requires (bug 172365)
- use make install DESTDIR instead of %%makeinstall

* Tue Nov 1 2005 Ray Strode <rstrode@redhat.com> - 1:2.13.1-1
- update to gnome-utils 2.13.1

* Thu Oct 13 2005 Tomas Mraz <tmraz@redhat.com>
- use include config-util instead of pam_stack in pam config

* Thu Oct 13 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.1-3
- Add missing Requires

* Wed Oct 12 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.1-2
- No need to call update-gtk-immodules in %%post, since gucharmap
  does not include the input method anymore

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.1-1
- Update to gnome-utils 2.12.1 and zenity 2.12.1

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.0-2
- Make gnome-system-log use consolehelper (#169535)

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.0-1
- Update to gnome-utils 2.12.0, gcalctool 5.6.31, zenity 2.12.0,
  gucharmap 1.4.4

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 1:2.11.91-3
- rebuild for new cairo

* Sat Aug 13 2005 Ray Strode <rstrode@redhat.com> 1:2.11.91-2
- Reenable log viewer (bug 163260)
- add buildreqs for flex/bison

* Tue Aug  9 2005 Ray Strode <rstrode@redhat.com> 1:2.11.91-1
- Update to gnome-utils 2.11.91, gcalctool 5.6.26, zenity 2.11.90

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.90-1
- Update to gnome-utils 2.11.90, gcalctool 5.6.25, zenity 2.11.90

* Fri Jul  8 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.1-1
- Update to gnome-utils 2.11.1, gcalctool 5.6.14, zenity 2.11.0

* Tue May 17 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-3
- call more autofoo to allow recompilation on x86_64 (bug 150627) 

* Sun Apr 24 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-2
- install gnome-screenshot schema (bug 155809)

* Sun Apr  3 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-1
- update to gnome-utils 2.10.0, zenity 2.10.0, gcalctool 5.5.41

* Tue Mar  8 2005 John (J5) Palmieri <johnp@redhat.com> 1:2.9.92-3
- Fixed up gfloppy for new HAL 0.5.0 api

* Thu Mar  3 2005 Marco Pesenti Gritti <mpg@redhat.com> 1:2.9.92-2
- Rebuild

* Mon Feb 28 2005 Matthias Clasen <mclasen@redhat.com> 1:2.9.92-1
- Update to gnome-utils, zenity 2.9.92

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 1:2.9.91-1
- Update to gnome-utils 2.9.91, zenity 2.9.91, gcalctool 5.5.34

* Thu Jan 27 2005 Matthias Clasen <mclasen@redhat.com> 1:2.9.90-1 
- Update to gnome-utils 2.9.90,
  zenity 2.9.2 and gcalctool 5.5.29
- Drop obsolete patches

* Sat Nov  6 2004 Marco Pesenti Gritti <mpg@redhat.com> 1:2.8.1-1
- Update to gnome-utils 2.8.1
- Update to zenity 2.8.1
- Update to gucharmap 1.4.2

* Thu Nov  4 2004 Marco Pesenti Gritti <mpg@redhat.com> 1:2.8.0-7
- Use _host to locate update-gtk-immodule as gtk does. Fix #124484

* Wed Oct 20 2004 Miloslav Trmac <mitr@redhat.com> - 1:2.8.0-6
- Run ldconfig in %%post and %%postun

* Mon Oct 18 2004 Marco Pesenti Gritti <mpg@redhat.com> 1:2.8.0-5
- #136032 Downgrade gucharmap to 4.8.20 (stable series). 5.x
  was used by mistake.

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-4
- PreReq desktop-file-utils >= 0.9
- update-desktop-database on uninstall

* Tue Sep 28 2004 Ray Strode <rstrode@redhat.com> 1:2.8.0-3
- Hide Search Tool from menus using spec file foo instead of patch file

* Tue Sep 28 2004 Ray Strode <rstrode@redhat.com> 1:2.8.0-2
- Hide Search Tool from menus
- Require recent version of desktop-file-utils since update-desktop-database
  is called.

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-1
- Update to 2.8.0 and zenity 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 1:2.7.91-1
- update to 2.7.91 and zenity 2.7.91

* Thu Aug 19 2004 Christopher Aillon <caillon@redhat.com> 1.2.7.90-1
- Update to gnome-utils 2.7.90
- Update to zenity 2.7.90
- Update to gcalctool 5.5.0
- Call update-desktop-database for gfloppy

* Wed Jun 30 2004 Christopher Aillon <caillon@redhat.com> 1:2.6.2-1
- Update to gnome-utils 2.6.2
- Update to zenity 2.6.2
- Update to gcalctool 4.4.8

* Mon Jun 28 2004 Dan Williams <dcbw@redhat.com>
- Update to the new mechanism of updating arch-dependent gtk config files.
- Update to gnome-utils 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 1:2.6.0-2
- #111124 BR gnome-desktop-devel gettext

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-1
- update to the 2.6 releases

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 1:2.5.90-1
- update to latest versions

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-3
- update zenity, gcalctool, gucharmap

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-1
- update to latest

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-1
- Update to the final 2.4.0 release

* Fri Aug 22 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-2
- use configure option instead of patch

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-1
- update for gnome 2.3, import zenity, gucharmap & gcalctool

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1:2.2.3-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.3-1
- 2.2.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0.3-2
- remove Xft buildreq

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0.3-1
- 2.2.0.3

* Sun Feb 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- builds again on s390x

* Fri Jan 24 2003 Jonathan Blandford <jrb@redhat.com>
- install all the schemas files
- new version; ExcludeArch: s390x
 
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Elliot Lee <sopwith@redhat.com> 2.1.4-2
- Add alphabitops.patch so it builds on the alpha (asm/bitops.h of which 
has 'extern' instead of 'static')

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1:2.1.4-1
- update to 2.1.4

* Tue Sep  3 2002 Matt Wilson <msw@redhat.com>
- corrected the return code 3 gdialog dialog types

* Wed Aug 28 2002 Tim Waugh <twaugh@redhat.com>
- Fix gnome-calculator key bindings (bug #67885).

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- enable gdialog by popular demand
- build require e2fsprogs-devel so gfloppy builds
- patch for #70258 (locate doesn't notice new files)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- build require newer versions of things
- 2.0.1
- remove gnome-system-log and more thoroughly remove archive-generator

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove archive-generator, duplicates file-roller

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- disable schema install in make install, fixes rebuild

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- use desktop-file-install

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- move to GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- put gdialog back since the nautilus scripts fad has everyone asking for it,
  #54415
- depend on automake-1.4 binary instead of automake14
- strip trailing newline from data in guname, #52598
- build requires libglade-devel

* Tue Feb  5 2002 Bill Nottingham <notting@redhat.com>
- get rid of weird binary names

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- Rebuild package.

* Mon Jan 21 2002 Havoc Pennington <hp@redhat.com>
- automake14
- /usr/foo to bindir etc.
- use makeinstall and configure macros
- patch for glade header move

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- use %%{_tmppath}
- move changelog to end of file
- langify, remember to run %%find_lang twice as there
  are two different sets of locale files

* Thu Feb 08 2001 Owen Taylor <otaylor@redhat.com>
- Fix missing gfloppy.keys, gfloppy.mime files

* Mon Jan 29 2001 Havoc Pennington <hp@redhat.com>
- add dialog-prefs.glade file which was missing from upstream tarball; 
  fixes #25036

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.1
- remove patch for gdict segfault, fixed upstream
- remove logview, cromagnon, gdiskfree, gstripchart, 
  splash, gdialog, gw, idetool
- run automake so removals take effect

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- patch from Tim Waugh to fix segfault on cancel in the settings
  dialog; bug 16477
- put in an error dialog if no DNS, bug 16475

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Put gcolorsel glade files in the file list, closes
  14314

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Use mail not mailx in guname, bug 14316

* Mon Jul 17 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- 1.2.0

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Add gfloppy .glade file to file list

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.0; remove man pages glob from file list (upstream no 
  longer comes with man pages)

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.0.51

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
